Summary: Light-weight package to set up cgroups at system boot.
Name: cgroup-lite
Version: 1.1
Release: r0.0
License: GPLv2
Group: devel
Packager: Wind River <info@windriver.com>
URL: http://packages.ubuntu.com/source/precise/cgroup-lite
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: initscripts
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: update-rc.d-native
Requires: /bin/sh
Requires(pre): /bin/sh
Requires(post): /bin/sh
Requires(preun): /bin/sh
Requires(postun): /bin/sh
Suggests: update-rc.d

%description
Light-weight package to set up cgroups at system boot.

%package -n cgroup-lite-dbg
Summary: Light-weight package to set up cgroups at system boot. - Debugging files
Group: devel
Recommends: cgroup-lite = 1.1-r0.0

%description -n cgroup-lite-dbg
Light-weight package to set up cgroups at system boot.  This package
contains ELF symbols and related sources for debugging purposes.

%package -n cgroup-lite-staticdev
Summary: Light-weight package to set up cgroups at system boot. - Development files (Static Libraries)
Group: devel
Requires: cgroup-lite-dev = 1.1-r0.0

%description -n cgroup-lite-staticdev
Light-weight package to set up cgroups at system boot.  This package
contains static libraries for software development.

%package -n cgroup-lite-dev
Summary: Light-weight package to set up cgroups at system boot. - Development files
Group: devel
Requires: cgroup-lite = 1.1-r0.0
Suggests: initscripts-dev

%description -n cgroup-lite-dev
Light-weight package to set up cgroups at system boot.  This package
contains symbolic links, header files, and related items necessary for
software development.

%package -n cgroup-lite-doc
Summary: Light-weight package to set up cgroups at system boot. - Documentation files
Group: doc

%description -n cgroup-lite-doc
Light-weight package to set up cgroups at system boot.  This package
contains documentation.

%package -n cgroup-lite-locale
Summary: Light-weight package to set up cgroups at system boot.
Group: devel

%description -n cgroup-lite-locale
Light-weight package to set up cgroups at system boot.

%pre
# cgroup-lite - preinst
#!/bin/sh
if [ -z "$D" -a -f "/etc/init.d/cgroups-init" ]; then
	/etc/init.d/cgroups-init stop
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-f -r $D"
	else
		OPT="-f"
	fi
	update-rc.d $OPT cgroups-init remove
fi


%post
# cgroup-lite - postinst
#!/bin/sh
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT="-s"
	fi
	update-rc.d $OPT cgroups-init start 8 2 3 4 5 . stop 20 0 1 6 .
fi


%preun
# cgroup-lite - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
if [ -z "$D" ]; then
	/etc/init.d/cgroups-init stop
fi
fi

%postun
# cgroup-lite - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT=""
	fi
	update-rc.d $OPT cgroups-init remove
fi
fi

%files
%defattr(-,-,-,-)
%dir "/bin"
%dir "/etc"
"/bin/cgroups-mount"
"/bin/cgroups-umount"
%dir "/etc/init.d"
"/etc/init.d/cgroups-init"

%files -n cgroup-lite-dbg
%defattr(-,-,-,-)

%files -n cgroup-lite-dev
%defattr(-,-,-,-)

